%global momorel 1
%global prerel 2

Summary: The Linux Infrared Remote Control (LIRC) package.
Name: lirc
Version: 0.8.0
Release: %{momorel}m
License: GPL
Group: System Environment/Daemons
%NoSource 0 http://dl.sourceforge.net/sourceforge/lirc/lirc-%{version}.tar.bz2 0bf28bf82c7766a462f90927b6bf3af1
Source1: lircd.init
Source2: lircd.logrotate
Patch0: http://delvare.free.fr/i2c/lirc-CVS-i2c-2.8.0.patch
URL: http://www.lirc.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: chkconfig
BuildRequires: perl, libtool, autoconf, automake
BuildRequires: libICE-devel, libSM-devel, libX11-devel

%description
LIRC is the Linux Infrared Remote Control package.
This package features a clean lircd initscript and a logrotate config file.

The default binary build of this package will try to install most
available kernel drivers.

%package devel
Summary: Static libraries and header files for developing against liblirc_client.
Group: Development/Libraries
Requires: lirc = %{version}

%description devel
LIRC is the Linux Infrared Remote Control package.
This package features a clean lircd initscript and a logrotate config file.

This package contains development files for building lirc clients.

%prep
%setup -q
%patch0 -p1 -b .i2c

%build
mkdir fake_mknod
PATH=`pwd`/fake_mknod:$PATH
cat > fake_mknod/mknod << EOF
#! /bin/sh
echo WARNING mknod called with
echo mknod "$@"
EOF
chmod +x fake_mknod/mknod

%configure \
	--with-x=yes  \
	--with-syslog \
	--with-driver=serial \

perl -pi -e's|drivers||g' ./Makefile # don't make drivers
perl -pi -e's|\$\{SED\}|/bin/sed|' ./libtool # dasa
make MODFLAGS='%{modflags}'

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

PATH=`pwd`/fake_mknod:$PATH

make install DESTDIR=%{buildroot}
install -m 755 -D %{SOURCE1} %{buildroot}%{_initscriptdir}/lircd
install -m 644 -D %{SOURCE2} %{buildroot}/etc/logrotate.d/lircd
perl -pi -e 's|\@SBINDIR\@|%{_sbindir}|g' %{buildroot}%{_initscriptdir}/lircd
rm -f doc/Makefile*
mkdir -p %{buildroot}/dev
ln -sf ttyS0 %{buildroot}/dev/lirc
touch %{buildroot}/etc/lircd.conf
touch %{buildroot}/etc/lircmd.conf

# remove unwanting file
rm -f %{buildroot}/dev/lirc

%post
/sbin/chkconfig --add lircd

%preun
if [ $1 = 0 ]; then
	/sbin/ldconfig
	/sbin/service lircd stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del lircd
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service lircd condrestart >/dev/null 2>&1 || :
	/sbin/ldconfig
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ANNOUNCE AUTHORS ChangeLog COPYING NEWS README TODO doc remotes
%doc contrib/*.conf contrib/irman2lirc contrib/lircrc contrib/lircs
%{_initscriptdir}/lircd
/etc/logrotate.d/lircd
%ghost %config(noreplace) /etc/lircd.conf
%ghost %config(noreplace) /etc/lircmd.conf
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/liblirc_*.so.*
%{_mandir}/man1/*
%{_mandir}/man8/*
%defattr(-,root,root,-)
%dev(c,61,0) /dev/lirc

%files devel
%defattr(-,root,root,-)
%{_includedir}/lirc
%{_libdir}/liblirc_*.so
%{_libdir}/liblirc_*.a
%{_libdir}/liblirc_*.la

%changelog
* Mon Jul 31 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.0-1m)
- version up 0.8.0

* Sun May 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.0.2-2m)
- revise spec file for rpm-4.4.2

* Sat Dec 24 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.0.2-1m)
- update to 0.8.0pre2

* Sun Dec 11 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (0.8.0.1-1m)
- update to 0.8.0pre1
- modify patch0

* Tue Jun 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.0.4-2m)
- revise PreReq

* Wed May 26 2004 Toru Hoshina <t@momonga-linux.org>
- (0.7.0.4-1m)
- import from paken.

* Tue Feb  3 2004 Takeru Komoriya <komoriya@paken.org>
- Repackaged based on lirc-0.7.0-pre2_16.rhfc1.at
- not buildung kernel modules any more (for linux2.6)
- deleted requires: help2man, portaudio

* Mon Sep 22 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Remove dependency of lirc to %kmodnamepure. Reported by
  Ludo Stellingwerff <ludo@protactive.nl>

* Tue Sep  9 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Update to 0.7.0pre2.

* Mon Jun 16 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Updated to 0.7.0 cvs 20030616.
- Adapted for kernel module building.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9... this spec file needs some reworking!

* Mon Oct  7 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.6 final.

* Mon Sep 16 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to latest pre-version.
- Kernel modules still need to be compiled separately and with a custom
  kernel :-(

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.5.
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Thu Oct  4 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

